Issues

Get issues

GET
/issues.json

Get a list of issues. By default, only open issues are returned.

Filters on dates and other fields accept operators (e.g. >=2014-01-02T08:12:32Z, ><2012-03-01|2012-03-07, ~foo). Custom fields marked as "used as a filter" can be filtered with cf_x (where x is the custom field ID).

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Query Parameters

include?array<>

Fetch associated data

issue_id?array<>

Filter by issue ID or list of IDs

project_id?integer

Filter by project ID (a numeric value, not a project identifier)

Formatint64
subproject_id?|

Filter by subproject ID. Use !* together with project_id to exclude issues of subprojects.

tracker_id?integer

Filter by tracker ID

Formatint64
status_id?|

Filter by status ID

assigned_to_id?|

Filter by assigned user ID

author_id?|

Filter by author ID

priority_id?integer

Filter by priority ID

Formatint64
category_id?integer

Filter by category ID

Formatint64
fixed_version_id?integer

Filter by fixed version (target version) ID

Formatint64
parent_id?integer

Filter by parent issue ID

Formatint64
subject?string

Filter by subject (e.g. ~foo for issues whose subject contains foo)

created_on?string

Filter by creation date (e.g. >=2012-03-01, ><2012-03-01|2012-03-07)

updated_on?string

Filter by updated date (e.g. >=2014-01-02T08:12:32Z)

closed_on?string

Filter by closed date (e.g. >=2014-01-02T08:12:32Z)

start_date?string

Filter by start date (e.g. >=2012-03-01)

due_date?string

Filter by due date (e.g. <=2012-03-07)

query_id?integer

Use the filters of a saved query

Formatint64
sort?string

Sort results by field. Append :desc to invert the order (e.g. id:desc). Use comma to sort by multiple fields.

offset?integer

Offset of the first item

Formatint64
Range0 <= value
Default0
limit?integer

Number of items per page

Formatint64
Range1 <= value <= 100
Default100

Response Body

The request has succeeded.

application/json
  1. response
issues*array<>
total_count*integer

Total number of items

Formatint64
offset*integer

Offset of the first item

Formatint64
limit*integer

Limit of items per page

Formatint64
curl -X GET 'https://redmine.example.com/issues.json'
{  "issues": [    {      "id": 0,      "project": {        "id": 0,        "name": "string"      },      "tracker": {        "id": 0,        "name": "string"      },      "status": {        "id": 0,        "name": "string",        "is_closed": true      },      "priority": {        "id": 0,        "name": "string"      },      "category": {        "id": 0,        "name": "string"      },      "author": {        "id": 0,        "name": "string"      },      "assigned_to": {        "id": 0,        "name": "string"      },      "subject": "string",      "description": "string",      "done_ratio": 0,      "fixed_version": {        "id": 0,        "name": "string"      },      "parent": {        "id": 0      },      "start_date": "2019-08-24",      "due_date": "2019-08-24",      "estimated_hours": 0.1,      "spent_hours": 0.1,      "total_estimated_hours": 0.1,      "total_spent_hours": 0.1,      "is_private": true,      "custom_fields": [        {          "id": 0,          "name": "string",          "multiple": true,          "value": "string"        }      ],      "created_on": "2019-08-24T14:15:22Z",      "updated_on": "2019-08-24T14:15:22Z",      "closed_on": "2019-08-24T14:15:22Z",      "children": [        {          "id": 0,          "tracker": {            "id": 0,            "name": "string"          },          "subject": "string",          "children": [            {}          ]        }      ],      "attachments": [        {          "id": 0,          "filename": "string",          "filesize": 0,          "content_type": "string",          "description": "string",          "content_url": "http://example.com",          "thumbnail_url": "http://example.com",          "author": {            "id": 0,            "name": "string"          },          "created_on": "2019-08-24T14:15:22Z"        }      ],      "relations": [        {          "id": 0,          "issue_id": 0,          "issue_to_id": 0,          "relation_type": "relates",          "delay": 0        }      ],      "changesets": [        {          "revision": "string",          "user": {            "id": 0,            "name": "string"          },          "comments": "string",          "committed_on": "2019-08-24T14:15:22Z"        }      ],      "journals": [        {          "id": 0,          "user": {            "id": 0,            "name": "string"          },          "notes": "string",          "created_on": "2019-08-24T14:15:22Z",          "updated_on": "2019-08-24T14:15:22Z",          "updated_by": {            "id": 0,            "name": "string"          },          "private_notes": true,          "details": [            {              "property": "attr",              "name": "string",              "old_value": "string",              "new_value": "string"            }          ]        }      ],      "watchers": [        {          "id": 0,          "name": "string"        }      ],      "allowed_statuses": [        {          "id": 0,          "name": "string",          "is_closed": true,          "description": "string"        }      ]    }  ],  "total_count": 0,  "offset": 0,  "limit": 0}